> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List users

GET https://{tenant_name}.benchling.com/api/v2/users

Returns all users that the caller has permission to view. The following roles have view permission:
  - tenant admins
  - members of the user's organizations


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/users/list-users

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `name` (string, optional) — Name of a user. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of a user. Restricts results to those with names that include the provided substring.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `memberOf` (string, optional) — Comma-separated list of organization and/or team API IDs. Restricts results to users that are members of all given groups.
- `adminOf` (string, optional) — Comma-separated list of organization and/or team API IDs. Restricts results to users that are admins of all given groups.
- `handles` (string, optional) — Comma-separated list of handles. Restricts results to the users with the specified handles.
- `email.anyOf` (string, optional) — Comma-separated list of emails. Maximum of 100. Restricts results to the users with the specified emails.
- `passwordLastChangedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the >, >=, \<, \<=, operators. Time zone defaults to UTC. Restricts results to users who have last changed their password in the specified range. e.g. > 2017-04-30. If "null" is provided returns users that have no password set (SAML).
- `pageSize` (integer, optional, default: 50)
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Sets the sort-order of the response. Valid sorts are modifiedAt (modified time, most recent first) and name (user name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`

## Response

### 200

OK

- `nextToken` (string, optional)
- `users` (list of User, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### User

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)
- `apiKeyLastChangedAt` (string, optional, nullable)
- `email` (string, optional)
- `isSuspended` (boolean, optional)
- `passwordLastChangedAt` (string, optional, nullable)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "users": [
    {
      "handle": "string",
      "id": "string",
      "name": "string",
      "apiKeyLastChangedAt": "string",
      "email": "string",
      "isSuspended": true,
      "passwordLastChangedAt": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/users"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/users?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```